## net.dontdrinkandroot.wicket.model
Class CssClassClassStringModel

    java.lang.Object
      net.dontdrinkandroot.wicket.model.AbstractChainedModel<CssClass,java.lang.String>
          net.dontdrinkandroot.wicket.model.CssClassClassStringModel

All Implemented Interfaces:
  java.io.Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<java.lang.String>, org.apache.wicket.util.io.IClusterable

    public class CssClassClassStringModel

extends AbstractChainedModel<CssClass,java.lang.String>

See Also:
  Serialized Form

Constructor Summary
`CssClassClassStringModel(CssClass cssClass)`
`CssClassClassStringModel(org.apache.wicket.model.IModel<? extends CssClass> parent)`

Method Summary
`java.lang.String` `getObject()`
`protected boolean` `isActive()`

Methods inherited from class net.dontdrinkandroot.wicket.model.AbstractChainedModel
`detach, getParent, getParentObject, setObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CssClassClassStringModel

    public CssClassClassStringModel(org.apache.wicket.model.IModel<? extends CssClass> parent)

### CssClassClassStringModel

    public CssClassClassStringModel(CssClass cssClass)

Method Detail

### getObject

    public java.lang.String getObject()

### isActive

    protected boolean isActive()

Copyright © 2013 dontdrinkandroot. All Rights Reserved.